{
  num: -13202,
  accuracy: true,
  basePower: 0,
  category: "Status",
  name: "Mirror Flower",
  pp: 10,
  priority: 4,
  flags: { noassist: 1, failcopycat: 1 },
  stallingMove: true,
  volatileStatus: "mirrorflower",
  onPrepareHit(pokemon) {
    return !!this.queue.willAct() && this.runEvent("StallMove", pokemon);
  },
  onHit(pokemon) {
    pokemon.addVolatile("stall");
  },
  condition: {
    duration: 1,
    onStart(target) {
      this.add("-singleturn", target, "move: Mirror Flower");
    },
    onTryHitPriority: 3,
    onTryHit(target, source, move) {
      if (!move.flags["protect"] || move.category === "Status") return;
      if (!source?.volatiles?.kyokasuigetsu) return;
      this.add("-activate", target, "move: Mirror Flower");
      if (move.category === "Physical") this.boost({atk: -1}, source, target, this.dex.moves.get("mirrorflower"));
      if (move.category === "Special") this.boost({spa: -1}, source, target, this.dex.moves.get("mirrorflower"));
      const lockedmove = source.getVolatile("lockedmove");
      if (lockedmove && source.volatiles["lockedmove"].duration === 2) delete source.volatiles["lockedmove"];
      return this.NOT_FAIL;
    }
  },
  secondary: null,
  target: "self",
  type: "Dark",
  zMove: { effect: "clearnegativeboost" },
  contestType: "Clever",
  desc: "A protect-style illusion. It blocks damaging moves from hypnotized foes and lowers the attacker's offense."
}